| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::Chi2 Class Reference

Parameters for the Chi2 distributed random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Chi2:
[legend]
Collaboration diagram for Rndm::Chi2:
[legend]

## Public Member Functions
| Chi2 (long n_dof)
| Standard Constructor. More...
| ~Chi2 () override=default
| Standard Destructor. More...
long | nDOF () const
| Access mean value of the distribution. More...
Chi2 * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
long | m_nDOF
| Number of degrees of freedom. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< Chi2 >

## Detailed Description

Parameters for the Chi2 distributed random number generation.

Definition at line 67 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Chi2::Chi2 | ( | long | n_dof | ) |
| inline

Standard Constructor.

Definition at line 74 of file RndmGenerators.h.

74 : IRndmGen::Param(IID_IRndmChi2), m_nDOF(n_dof) { }
IRndmGen::Param
Definition: IRndmGen.h:40
Rndm::Chi2::m_nDOF
long m_nDOF
Number of degrees of freedom.
Definition: RndmGenerators.h:71

Rndm::Chi2::~Chi2 | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Chi2* Rndm::Chi2::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 82 of file RndmGenerators.h.

82 { return new Chi2(m_nDOF); }
Rndm::Chi2::Chi2
Chi2(long n_dof)
Standard Constructor.
Definition: RndmGenerators.h:74
Rndm::Chi2::m_nDOF
long m_nDOF
Number of degrees of freedom.
Definition: RndmGenerators.h:71

long Rndm::Chi2::nDOF | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 78 of file RndmGenerators.h.

78 { return m_nDOF; }
Rndm::Chi2::m_nDOF
long m_nDOF
Number of degrees of freedom.
Definition: RndmGenerators.h:71

static const InterfaceID& Rndm::Chi2::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 80 of file RndmGenerators.h.

80 { return IID_IRndmChi2; }

## Friends And Related Function Documentation

friend class Generator< Chi2 >
| friend

Definition at line 68 of file RndmGenerators.h.

## Member Data Documentation

long Rndm::Chi2::m_nDOF
| protected

Number of degrees of freedom.

Definition at line 71 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h